// creator  : weidu.exe (version 23100)
// argument : _CUCHOL.DLG
// game		 : .
// source	 : ./override/_CUCHOL.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_CUCHOL~

IF ~NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #84364 /* ~Please don't kill me! Please, please, please, please, please!~ */
  IF ~~ THEN REPLY #84365 /* ~Relax, fellow; we have no reason to harm you.~ */ GOTO 1
  IF ~~ THEN REPLY #84366 /* ~Beg if you wish, dog. Your life is at an end.~ */ GOTO 2
  IF ~~ THEN REPLY #84367 /* ~Kill you? Please don't kill us! Please, please, please, please, please!~ */ GOTO 3
  IF ~Global("X#VicCuchol","GLOBAL",0)
InParty("viconia")
InMyArea("viconia")
!StateCheck("viconia",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#VicCuchol","GLOBAL",1)~ EXTERN ~_VICONJ~ 50
END

IF ~~ THEN BEGIN 1 // from: 3.1 0.0
  SAY #84368 /* ~Why are you here? You weren't sent to kill poor Cuchol?~ */
  IF ~~ THEN REPLY #84369 /* ~We're merely here to retrieve an item. We'll be on our way as soon as we can find it.~ */ GOTO 4
  IF ~~ THEN REPLY #84370 /* ~So you are Cuchol? In truth, we are here to kill you.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 3.0 1.1 0.1
  SAY #84371 /* ~That troll! Even in this accursed place she sends assassins. If Cuchol must die, then he shall not die alone.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #84372 /* ~What manner of heartless beasts are you? Mocking poor Cuchol even as you bring his doom? Why, if I were back in Surkh, Yspank would protect me!~ */
  IF ~~ THEN REPLY #84373 /* ~Oh really, Cuchol, beasts? We prefer hired goons.~ */ GOTO 2
  IF ~~ THEN REPLY #84365 /* ~Relax, fellow; we have no reason to harm you.~ */ GOTO 1
END

IF ~~ THEN BEGIN 4 // from: 1.0
  SAY #84374 /* ~Are you not trapped here? I Cuchol, the Scourge of Lachom! The Ravisher of Surkh! Even with my fell powers, I cannot escape.~ */
  IF ~~ THEN REPLY #84375 /* ~We have our ways, Cuchol. Have you seen a cloak, perhaps?~ */ GOTO 5
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #84376 /* ~A ward! Of course! My friends, I have been trapped here for too long. Think of my reputation! 'Cuchol,' they'll say, 'What kind of mystical magic man are you?'  Then I'll say 'It's not my fault! It's that stupid ice!' Then they'll say 'You're a loser Cuchol. A real fool, if you catch my drift.' Can't you see? My reputation! I must have that ward! I must escape!~ */
  IF ~PartyHasItem("_MISC2H")
~ THEN REPLY #84377 /* ~Here, take the cursed thing. Just shut up!~ */ DO ~TakePartyItem("_MISC2H")
~ GOTO 6
  IF ~~ THEN REPLY #84378 /* ~We can't help you, Cuchol. We need to leave this place ourselves.~ */ GOTO 7
END

IF ~~ THEN BEGIN 6 // from: 5.0
  SAY #84379 /* ~Hah, hah! Imagine her surprise when I show up in her bedchamber. 'Oh, Cuchol, you've the body of a god!' she'll say. But enough of this! You are no longer useful.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 7 // from: 5.1
  SAY #84380 /* ~But it's so cold! Don't you see? It's cold! Why does Cuchol bother with these wretches? Very well, I MUST have the ward!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END
